Path Parameters
uuidHeader Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "target_url": "string", "event_types": [ "string" ], "status": "active", "consecutive_failures": 0, "last_success_at": "2019-08-24T14:15:22Z", "last_failure_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "secret": "string"}Patch Sender Id
Set or clear the org's custom alphanumeric SMS sender ID. Pass custom_sender_id=null to clear it and fall back to the platform default sender id. Only affects alphanumeric-eligible corridors — a corridor requiring a dedicated number is unaffected.
Put Member Phone
Set an org member's phone number. Pass user_id="me" to set your own, or a member's user id — setting another member's phone requires the caller to be an org owner or admin. Returns 404 if the target is not a member of this organization.